### Method

# EDataServer SourceWebdav verify_ssl_trust

#### Declaration [src]

    ETrustPromptResponse
    e_source_webdav_verify_ssl_trust (
      ESourceWebdav* extension,
      const gchar* host,
      GTlsCertificate* cert,
      GTlsCertificateFlags cert_errors
    )

#### Description [src]

Verifies SSL/TLS trust for the given `host` and `cert`, as previously stored in the `extension` with e_source_webdav_update_ssl_trust().

#### Parameters

`host`

  Type: `const gchar*`

  A host name to store the certificate for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cert`

  Type: `GTlsCertificate`

  The invalid certificate of the connection over which `host` is about to be sent.

  The data is owned by the caller of the method.

`cert_errors`

  Type: `GTlsCertificateFlags`

  A bit-or of `GTlsCertificateFlags` describing the reason for the `cert` to be considered invalid.

#### Return value

Type: `ETrustPromptResponse`

No description available.